from http.client import NO_CONTENT
from flask import request, jsonify, Blueprint

# from jinja2.runtime import identity
# from werkzeug.exceptions import BadRequest, NotFound, Forbidden

# from flaschengeist.models.session import Session
# from flaschengeist.controller import userController
# from flaschengeist.utils.decorators import login_required
# from flaschengeist.utils.datetime import from_iso_format
# from flaschengeist.utils.HTTP import get_filter_args, no_content

from . import pricelist_controller, permissions, PricelistOldPlugin


blueprint = Blueprint("pricelist_old", __name__)


@blueprint.route("/pricelist_old/drink_type", methods=["GET"])
@blueprint.route("/pricelist_old/drink_type/<int:identifier>", methods=["GET"])
def get_drink_type(identifier=None):
    if identifier:
        result = pricelist_controller.get_drink_type(identifier)
    else:
        result = pricelist_controller.get_drink_types()
    return jsonify(result)


@blueprint.route("/pricelist_old/drink_type", methods=["POST"])
@blueprint.route("/pricelist_old/drink_type/<int:identifier>", methods=["PUT"])
def modify_drink_type(identifier=None):
    data = request.get_json()
    return jsonify(pricelist_controller.set_drink_type(identifier, data))


@blueprint.route("/pricelist_old/drink_type/<int:identifier>", methods=["DELETE"])
def delete_drink_type(identifier: int):
    pricelist_controller.delete_drink_type(identifier)
    return "", NO_CONTENT


@blueprint.route("/pricelist_old/price", methods=["GET"])
@blueprint.route("/pricelist_old/price/<int:identifier>", methods=["GET"])
def get_price(identifier=None):
    if identifier:
        result = pricelist_controller.get_price(identifier)
    else:
        result = pricelist_controller.get_prices()
    return jsonify(result)


@blueprint.route("/pricelist_old/price", methods=["POST"])
@blueprint.route("/pricelist_old/price/<int:identifier>", methods=["PUT"])
def modify_price(identifier=None):
    data = request.get_json()
    return jsonify(pricelist_controller.set_price(identifier, data))


@blueprint.route("/pricelist_old/price/<int:identifier>", methods=["DELETE"])
def delete_price(identifier: int):
    pricelist_controller.delete_price(identifier)
    return "", NO_CONTENT
