import { FG_Plugin } from '@flaschengeist/types';
import { PERMISSIONS } from '../permissions';

export const outerRoutes: FG_Plugin.MenuRoute[] = [
  {
    title: 'Preisliste',
    icon: 'mdi-glass-mug-variant',
    shortcut: true,
    route: {
      path: 'pricelist',
      name: 'pricelist',
      component: () => import('../pages/PricelistPage.vue'),
    },
  },
];

export const innerRoutes: FG_Plugin.MenuRoute[] = [
  {
    title: 'Preisliste',
    icon: 'mdi-glass-mug-variant',
    shortcut: true,
    route: {
      path: 'pricelist',
      name: 'pricelist_in',
      redirect: { name: 'pricelist_in_in' },
    },
    children: [
      {
        icon: 'mdi-glass-mug-variant',
        title: 'Preisliste',
        route: {
          path: 'pricelist',
          name: 'pricelist_in_in',
          props: { canEdit: true },
          component: () => import('../pages/PricelistPage.vue'),
        },
      },
      {
        icon: 'mdi-glass-mug-variant',
        title: 'Getränkearten',
        permissions: [
          PERMISSIONS.DRINK_TYPE_CREATE,
          PERMISSIONS.DRINK_TYPE_EDIT,
          PERMISSIONS.DRINK_TYPE_DELETE,
        ],
        route: {
          path: 'drink_types',
          name: 'drink_types',
          component: () => import('../pages/DrinkTypePage.vue'),
        },
      },
    ],
  },
];
